@echo off
REM  SETUP.EXE gathers all the user options to play the game and outputs
REM  a configuration file called CONFIG.FIL.  ARMAGDDN.EXE reads this file
REM  first off and uses the info to load in the appropriate game file and
REM  set the game up.  If SETUP.EXE is terminated for any reason other
REM  than normal, CONFIG.FIL is not written and the batch file knows to
REM  end.
REM  If you're playing an email game, ARMAGDDN.EXE writes out and email
REM  configuration file call COM.CFG for the COMpression applet.  If this
REM  file isn't found, then COM.EXE is skipped.

del config.fil
del com.cfg
c7setup.exe %1 %2 %3 %4
if not exist config.fil goto end
armagddn.exe
if not exist com.cfg goto end

REM  COM.EXE is a handy little program that compresses a file and then text
REM  encodes it for email transmission.  It's specific to this C7.  
REM  -e/-d are switched for encoding(& compressing)/decoding(decompressing).

com -e
:end
